MRProtoUtils (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.util, class: MRProtoUtils

Package org.apache.hadoop.mapreduce.v2.util

# Class MRProtoUtils

java.lang.Object
org.apache.hadoop.mapreduce.v2.util.MRProtoUtils

public class MRProtoUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MRProtoUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobState`
  `convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobStateProto e)`
  `static Phase`
  `convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.PhaseProto e)`
  `static TaskAttemptCompletionEventStatus`
  `convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptCompletionEventStatusProto e)`
  `static TaskAttemptState`
  `convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptStateProto e)`
  `static TaskState`
  `convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskStateProto e)`
  `static TaskType`
  `convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskTypeProto e)`
  `static org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobStateProto`
  `convertToProtoFormat(JobState e)`
  `static org.apache.hadoop.mapreduce.v2.proto.MRProtos.PhaseProto`
  `convertToProtoFormat(Phase e)`
  `static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptCompletionEventStatusProto`
  `convertToProtoFormat(TaskAttemptCompletionEventStatus e)`
  `static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptStateProto`
  `convertToProtoFormat(TaskAttemptState e)`
  `static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskStateProto`
  `convertToProtoFormat(TaskState e)`
  `static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskTypeProto`
  `convertToProtoFormat(TaskType e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MRProtoUtils

    public MRProtoUtils()

- ## Method Details

  - ### convertToProtoFormat

    public static org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobStateProto convertToProtoFormat(JobState e)

  - ### convertFromProtoFormat

    public static JobState convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.mapreduce.v2.proto.MRProtos.PhaseProto convertToProtoFormat(Phase e)

  - ### convertFromProtoFormat

    public static Phase convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.PhaseProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptCompletionEventStatusProto convertToProtoFormat(TaskAttemptCompletionEventStatus e)

  - ### convertFromProtoFormat

    public static TaskAttemptCompletionEventStatus convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptCompletionEventStatusProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptStateProto convertToProtoFormat(TaskAttemptState e)

  - ### convertFromProtoFormat

    public static TaskAttemptState convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskStateProto convertToProtoFormat(TaskState e)

  - ### convertFromProtoFormat

    public static TaskState convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskTypeProto convertToProtoFormat(TaskType e)

  - ### convertFromProtoFormat

    public static TaskType convertFromProtoFormat(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskTypeProto e)